module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[2]={
			args={
				alive_time=1.6,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_305/Prefabs/305_attack1.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0,
		},
		[3]={
			args={action_name=[[attack1]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[4]={
			args={
				begin_type=[[current]],
				calc_face=true,
				ease_type=[[Linear]],
				end_relative={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=1.35,},
				end_type=[[end_relative]],
				excutor=[[atkobj]],
				look_at_pos=true,
				move_time=0.2,
				move_type=[[line]],
			},
			func_name=[[Move]],
			start_time=0,
		},
		[5]={
			args={sound_path=[[Magic/sound_magic_30501_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0.37,
		},
		[6]={
			args={shake_dis=0.03,shake_rate=20,shake_time=0.3,},
			func_name=[[ShakeScreen]],
			start_time=0.8,
		},
		[7]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=0.8,
		},
		[8]={
			args={
				alive_time=0.1,
				ease_hide_time=0.05,
				ease_show_time=0.05,
				excutor=[[vicobj]],
				mat_path=[[Material/effect_Fresnel_yellow02.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=0.8,
		},
		[9]={
			args={
				alive_time=1,
				bind_type=[[pos]],
				body_pos=[[foot]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_305/Prefabs/magic_eff_30501_hit.prefab]],
					preload=true,
				},
				excutor=[[vicobj]],
				height=0.55,
			},
			func_name=[[BodyEffect]],
			start_time=0.8,
		},
		[10]={
			args={
				alive_time=1,
				bind_type=[[pos]],
				body_pos=[[foot]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_702/Prefabs/magic_eff_70201_hit.prefab]],
					preload=true,
				},
				excutor=[[vicobj]],
				height=0.7,
			},
			func_name=[[BodyEffect]],
			start_time=0.8,
		},
		[11]={
			args={
				alive_time=1,
				bind_type=[[pos]],
				body_pos=[[foot]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_702/Prefabs/magic_eff_70201_hit.prefab]],
					preload=true,
				},
				excutor=[[vicobj]],
				height=0.65,
			},
			func_name=[[BodyEffect]],
			start_time=0.92,
		},
		[12]={
			args={
				alive_time=0.1,
				ease_hide_time=0.05,
				ease_show_time=0.05,
				excutor=[[vicobj]],
				mat_path=[[Material/effect_Fresnel_yellow02.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=0.94,
		},
		[13]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=0.95,
		},
		[14]={
			args={
				begin_type=[[current]],
				calc_face=true,
				ease_type=[[Linear]],
				end_relative={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				end_type=[[end_relative]],
				excutor=[[atkobj]],
				look_at_pos=true,
				move_time=0.1,
				move_type=[[line]],
			},
			func_name=[[Move]],
			start_time=1.5,
		},
		[15]={args={},func_name=[[End]],start_time=1.6,},
	},
	group_cmds={},
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_305/Prefabs/305_attack1.prefab]],
		[2]=[[Effect/Magic/magic_eff_305/Prefabs/magic_eff_30501_hit.prefab]],
		[3]=[[Effect/Magic/magic_eff_702/Prefabs/magic_eff_70201_hit.prefab]],
		[4]=[[Effect/Magic/magic_eff_702/Prefabs/magic_eff_70201_hit.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
